## EvDocumentFonts

EvDocumentFonts

## Functions

gboolean | ev_document_fonts_scan ()
double | ev_document_fonts_get_progress ()
void | ev_document_fonts_fill_model ()
const gchar * | ev_document_fonts_get_fonts_summary ()

## Types and Values

| EvDocumentFonts
struct | EvDocumentFontsInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentFonts

## Description

## Functions

### ev_document_fonts_scan ()

    gboolean
    ev_document_fonts_scan (EvDocumentFonts *document_fonts,
                            int n_pages);

#### Returns

### ev_document_fonts_get_progress ()

    double
    ev_document_fonts_get_progress (EvDocumentFonts *document_fonts);

#### Returns

### ev_document_fonts_fill_model ()

    void
    ev_document_fonts_fill_model (EvDocumentFonts *document_fonts,
                                  GtkTreeModel *model);

### ev_document_fonts_get_fonts_summary ()

    const gchar *
    ev_document_fonts_get_fonts_summary (EvDocumentFonts *document_fonts);

## Types and Values

### EvDocumentFonts

    typedef struct _EvDocumentFonts EvDocumentFonts;

### struct EvDocumentFontsInterface

    struct EvDocumentFontsInterface {
    	GTypeInterface base_iface;

            /* Methods */
            gboolean     (* scan)              (EvDocumentFonts *document_fonts,
                                                int              n_pages);
            double       (* get_progress)      (EvDocumentFonts *document_fonts);
            void         (* fill_model)        (EvDocumentFonts *document_fonts,
                                                GtkTreeModel    *model);
            const gchar *(* get_fonts_summary) (EvDocumentFonts *document_fonts);
    };